<?php
/*
'**************************************************************************************************
' 软件名称: 盘锦DJ舞曲网CMS Content Management PjRen.Net
' 版本编号: Version 2.5
' 盘锦舞曲: http://www.pj57.com
' 官方网站: http://www.pjren.net
' 小说网站: http://www.hx39.com
' 0427DJ网: http://www.0427dj.net
' 官方论坛: http://www.tianjiazhen.com
' 版权所有: 盘锦舞曲开发团队    盘锦人(QQ:814006710)
' 郑重声明:
'    1、任何个人或组织不得在未经授权的情况下删除、修改、拷贝本软件及其他副本上一切关于版权的信息；
'    2、盘锦网络事业部保留此软件的法律追究权利
'**************************************************************************************************
*/
include "../include/conn.php";
include "../include/function.php";
include "../include/userset.php";
include "skins/function_common.php";
if((!$userlogin==true)){exit("<script language=javascript>alert('出错了，请登陆后再操作！');location.href = 'index.php';</script>");}
?>
<!DOCTYPE HTML PUBLIC "-//W3C//DTD HTML 4.01 Transitional//EN">
<html>
<head>
<meta http-equiv="Content-Type" content="text/html; charset=gbk" />
<title>在线支付接口PHP版</title>
<link href="css/index.css" rel="stylesheet" type="text/css">
</head>
<body>
<?php
error_reporting(0);
//****************************************
 $v_mid = S_playwyid;                                                         // 商户号，这里为测试商户号1001，替换为自己的商户号(老版商户号为4位或5位,新版为8位)即可
 $v_url = "http://".$_SERVER['SERVER_NAME']."/user/do.php?ac=payreceive";   // 请填写返回url,地址应为绝对路径,带有http协议
 $key   = S_playwykey;                                                       // 如果您还没有设置MD5密钥请登陆我们为您提供商户后台，地址：https://merchant3.chinabank.com.cn/

//****************************************
//支付完成
if($ac=="payreceive"){
	$v_oid=trim($_POST['v_oid']);      
	$v_pmode=trim($_POST['v_pmode']);      
	$v_pstatus=trim($_POST['v_pstatus']);      
	$v_pstring=trim($_POST['v_pstring']);      
	$v_amount=trim($_POST['v_amount']);     
	$v_moneytype=trim($_POST['v_moneytype']);     
	$remark1=trim($_POST['remark1' ]);     
	$remark2=trim($_POST['remark2' ]);     
	$v_md5str=trim($_POST['v_md5str' ]);     
	//重新计算md5的值
	$md5string=strtoupper(md5($v_oid.$v_pstatus.$v_amount.$v_moneytype.$key)); //拼凑加密串
	global $db;
	if ($v_md5str==$md5string){
		//支付成功
			//检测订单，存在就加点
			$row=$db->getrow("select * from s_pay where S_Payid='".$v_oid."' and S_Payuser='$remark2' and S_Vid=0");
			if($row){
				$S_Payrmb=$row["S_Payrmb"];
				$db->query("update s_users set S_RMB=S_RMB+$S_Payrmb where S_Name='".$chsh_username."'");
				$db->query("update s_pay set S_Vid=1 where S_Payid='".$v_oid."' and S_Payuser='$remark2'");
				//产生消息
				$s_xid=0;
				$s_cid=0;
				$s_namea=$remark2;
				$s_nameb="系统消息";
				$s_content="恭喜您，成功充值了 ".$S_Payrmb." 元，若出现问题请尽快联系客服。";
				$s_addtime=date('Y-m-d H:i:s');
				$sqlx="insert into s_xiaoxi (S_Xid,S_Nameb,S_Namea,S_Content,S_Addtime) values (".$s_xid.",'".$s_nameb."','".$s_namea."','".$s_content."','".$s_addtime."')";
				if($db->query($sqlx)){}
				showmessage("恭喜您，成功充值了 ".$S_Payrmb." 元，若出现问题请尽快联系客服。",$_SERVER['HTTP_REFERER'],0);
			}else{
				showmessage("出错了，非法订单。","index.php",0);
			}
	}else{
		showmessage("出错了，支付失败。","index.php",0);
	}

}else{
 $s_xid = trim($_POST['s_xid']); 
 $randNum = rand(1000, 9999);
 if($s_xid==1){
 $v_oid = date('Ymd',time())."-".$v_mid."-".date('His',time());//订单号，建议构成格式 年月日-商户号-小时分钟秒
 }else{
 $v_oid = date('Ymd',time()).$randNum.date('His',time());//订单号，建议构成格式 年月日-商户号-小时分钟秒
 }
 $v_amount = trim($_POST['v_amount']);                   //支付金额                 
 $v_moneytype = "CNY";                                            //币种
 $text = $v_amount.$v_moneytype.$v_oid.$v_mid.$v_url.$key;        //md5加密拼凑串,注意顺序不能变
 $v_md5info = strtoupper(md5($text));                             //md5函数加密并转化成大写字母

 $remark1 = trim($_POST['remark1']);      //备注字段1
 $remark2 = $chsh_username."在线金币充值";                    //备注字段2
 $v_rcvname   = $chsh_username  ;  // 收货人
 global $db;
 $S_Paytime=date('Y-m-d H:i:s');
 $sqlx="insert into s_pay (S_Payid,S_Payrmb,S_Payuser,S_Paytime,S_Vid) values ('".$v_oid."','".$v_amount."','".$chsh_username."','".$S_Paytime."',0)";
 if($db->query($sqlx));
 if($s_xid==2){
?>
<form method="post" name="form1" action="alipay/alipayto.php">
 <input type="hidden" name="v_oid"         value="<?php echo $v_oid;?>">
 <input type="hidden" name="remark2"         value="<?php echo $remark1;?>">
 <input type="hidden" name="v_rcvname"      value="<?php echo $v_rcvname;?>">
 <input type="hidden" name="v_amount"   value="<?php echo $v_amount;?>">
</form>
<script language="javascript">
document.form1.submit();
</script>
<?php
}elseif($s_xid==3){
?>
<form method="post" name="form1" action="tenpay/index.php">
 <input type="hidden" name="v_oid"         value="<?php echo $v_oid;?>">
 <input type="hidden" name="remark2"         value="<?php echo $remark2;?>">
 <input type="hidden" name="v_rcvname"      value="<?php echo $v_rcvname;?>">
 <input type="hidden" name="v_amount"   value="<?php echo $v_amount;?>">
</form>
<script language="javascript">
document.form1.submit();
</script>
<?php
}elseif($s_xid==4){
?>
<form method="post" name="form1" action="yeepay/req.php">
 <input type="hidden" name="v_oid"         value="<?php echo $v_oid;?>">
 <input type="hidden" name="remark2"         value="<?php echo $remark2;?>">
 <input type="hidden" name="v_rcvname"      value="<?php echo $v_rcvname;?>">
 <input type="hidden" name="v_amount"   value="<?php echo $v_amount;?>">
</form>
<script language="javascript">
document.form1.submit();
</script>
<?php
}else{
?>
<!--以下信息为标准的 HTML 格式 + ASP 语言 拼凑而成的 网银在线 支付接口标准演示页面 无需修改-->

<form method="post" name="E_FORM" action="https://pay3.chinabank.com.cn/PayGate">
 <input type="hidden" name="v_mid"         value="<?php echo $v_mid;?>">
 <input type="hidden" name="v_oid"         value="<?php echo $v_oid;?>">
 <input type="hidden" name="v_amount"      value="<?php echo $v_amount;?>">
 <input type="hidden" name="v_moneytype"   value="<?php echo $v_moneytype;?>">
 <input type="hidden" name="v_url"         value="<?php echo $v_url;?>">
 <input type="hidden" name="v_md5info"     value="<?php echo $v_md5info;?>">
 
 <!--以下几项项为网上支付完成后，随支付反馈信息一同传给信息接收页 --> 
 
 <input type="hidden" name="remark1"       value="<?php echo $remark1;?>">
 <input type="hidden" name="remark2"       value="<?php echo $remark2;?>">


<!--以下几项只是用来记录客户信息，可以不用，不影响支付 -->
 <input type="hidden" name="v_rcvname"      value="<?php echo $v_rcvname;?>">
<?php 
 $info=explode('|',$remark1); 
 $pay_lx=$info[4];
 if($pay_lx==5||$pay_lx==6){
 echo "<input type='hidden' name='pmode_id' value='04'>";
 }
?>
</form>
<script language="javascript">
document.E_FORM.submit();
</script>
<?php
}
}
?>
</body>
</html>